Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-03-2013 18:57:35

kerne-lff
Membre
Distrib. : Squeeze 6.0.6 - Wheezy 7.0 64 bits
Noyau : Linux 2.6.39-bpo.2-amd64 - Linux 3.2.0-4-amd64
(G)UI : Gnome 2.30.2 - GNOME 3.4.2
Inscription : 31-12-2012

Blocage mises à jours:aptitude dpkg ...

Bonjour à vous

Ma wheezy chérie n'aime pas les mises à jour en mode graphique depuis son installation
donc j'utilise aptitude.
Mais ce matin, sûrement mal réveillé,  je lance une mise à jour en mode graphique et badaboum le gros lot :
Interruption du processus
Retour à aptitude
root@terra2:~# aptitude update
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
W: Impossible de verrouiller le fichier cache : cela est en général dû à une installation simultanée de paquets avec dpkg ou un autre outil comme APT. Ouverture en mode lecture seule : AUCUNE des modifications de l'état des paquets que vous pourrez faire ne sera conservée.
.....................
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
E: Impossible de reconstruire le cache des paquets
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.

W: Impossible de verrouiller le fichier cache : cela est en général dû à une installation simultanée de paquets avec dpkg ou un autre outil comme APT. Ouverture en mode lecture seule : AUCUNE des modifications de l'état des paquets que vous pourrez faire ne sera conservée.

Puis 
root@terra2:~#dpkg --configure -a
et là blocage  sur : run-parts : executing  /etc/kernel/postinst.d/zz-update-grub 3.2.0-4-amd64/boot/vmlinuz-3.2.0-4-amd64

Redémarrage >même problème

Auriez-vous des conseils à me donner

Merci

Hors ligne

#2 15-03-2013 19:25:40

bract
Modérateur
Lieu : Pays du kiwi
Distrib. : wheezy
Noyau : 3.2.0-3 amd64
(G)UI : gnome 3.4.2 + lxde(eeepc)
Inscription : 05-02-2011

Re : Blocage mises à jours:aptitude dpkg ...

Bonjour,

regarde ici
http://doc.ubuntu-fr.org/probleme_apt
des fois que...
smile

L'asso est lancée. cool
La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.[Albert Einstein]

Hors ligne

#3 16-03-2013 08:13:17

kerne-lff
Membre
Distrib. : Squeeze 6.0.6 - Wheezy 7.0 64 bits
Noyau : Linux 2.6.39-bpo.2-amd64 - Linux 3.2.0-4-amd64
(G)UI : Gnome 2.30.2 - GNOME 3.4.2
Inscription : 31-12-2012

Re : Blocage mises à jours:aptitude dpkg ...

Merci Bract

j'y suis passé
même blocage au même endroit

j'ai également lancé synaptic pour voir les paquets cassés mais il se ferme après le message :
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
E: _cache->open() failed, please report

Hors ligne

Pied de page des forums